﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Thống kê</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="/Admin/Home_63135350">Trang chủ</a></li>
                    <li class="breadcrumb-item active">Thống kê</li>
                </ol>
            </div>
        </div>
    </div>
</section>

<section class="content">
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Thống kê doanh thu</h3>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                    <i class="fas fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                    <i class="fas fa-times"></i>
                </button>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-8">
                    <div class="chart">
                        <canvas id="barChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                    </div>
                </div>
                <div class="col-md-4">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Ngày</th>
                                <th>Doanh thu</th>
                                <th>Lợi nhuận</th>
                            </tr>
                        </thead>
                        <tbody id="load_data"></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="card-footer"></div>
    </div>
</section>

@section scripts {
    <script src="~/Content/Clients/plugins/chart.js/Chart.min.js"></script>
    <script src="~/Content/Style/plugins/moment/moment.min.js"></script>
    <script>
        $(function () {
            var arrDoanhThu = [];
            var arrLoiNhuan = [];
            var arrDate = [];
            $.ajax({
                url: '/ThongKe_63135350/ThongKe',
                type: 'GET',
                data: { fromDate: '', toDate: '' },
                success: function (rs) {
                    $.each(rs.Data, function (i, item) {
                        var strDate = moment(item.Date).format('DD/MM/yyyy');
                        arrDate.push(strDate);
                        arrDoanhThu.push(item.DoanhThu);
                        arrLoiNhuan.push(item.LoiNhuan);
                    });
                    var areaChartData = {
                        labels: arrDate,
                        datasets: [
                            {
                                label: 'Lợi nhuận',
                                backgroundColor: 'rgba(60,141,188,0.9)',
                                borderColor: 'rgba(60,141,188,0.8)',
                                pointRadius: false,
                                data: arrLoiNhuan
                            },
                            {
                                label: 'Doanh thu',
                                backgroundColor: 'rgba(210, 214, 222, 1)',
                                borderColor: 'rgba(210, 214, 222, 1)',
                                pointRadius: false,
                                data: arrDoanhThu
                            },
                        ]
                    }

                    var barChartCanvas = $('#barChart').get(0).getContext('2d');
                    var barChartData = $.extend(true, {}, areaChartData);
                    var temp0 = areaChartData.datasets[0];
                    var temp1 = areaChartData.datasets[1];
                    barChartData.datasets[0] = temp1;
                    barChartData.datasets[1] = temp0;

                    var barChartOptions = {
                        responsive: true,
                        maintainAspectRatio: false,
                        datasetFill: false,
                        scales: {
                            yAxes: [{
                                ticks: {
                                    beginAtZero: true,
                                    callback: function (value, index, values) {
                                        if (value >= 1000000000) {
                                            return (value / 1000000000).toFixed(1) + 'B'; // 1 tỷ
                                        } else if (value >= 1000000) {
                                            return (value / 1000000).toFixed(1) + 'M'; // 1 triệu
                                        } else if (value >= 1000) {
                                            return (value / 1000).toFixed(1) + 'K'; // 1 nghìn
                                        }
                                        return value;
                                    }
                                }
                            }]
                        }
                    };

                    new Chart(barChartCanvas, {
                        type: 'bar',
                        data: barChartData,
                        options: barChartOptions
                    });
                }
            });
        });

    </script>
}
